# $Revision: 1.33 $, $Date: 2004/08/16 14:05:40 $

%define _snap	20031020

Summary:	Zvt terminal widget library
Summary(es):	Biblioteca de widget de terminal zvt
Summary(pl):	Biblioteka z widgetem terminala zvt
Name:		libzvt
Version:	2.0.2
Release:	0.%{_snap}.2
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://distfiles.pld-linux.org/src/%{name}-%{_snap}.tar.bz2
# Source0-md5:	9c06f2e4ff429616284a0b1f62fe8c9b
Patch0:		%{name}-am15.patch
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.7
BuildRequires:	gtk+2-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libtool >= 1.4.3
BuildRequires:	gnome-common
BuildRequires:	pkgconfig >= 0.14.0
Requires:	utempter
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libzvt package contains a terminal widget for GTK+.

%description -l es
El paquere libzvt contiene un widget de terminal para GTK+.

%description -l pl
Ten pakiet zawiera widget terminala dla GTK+.

%package devel
Summary:	Headers for libzvt
Summary(es):	Cabeceras para libzvt
Summary(pl):	Pliki nagwkowe libzvt
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}
Requires:	gtk+2-devel
Requires:	libart_lgpl-devel

%description devel
The libzvt package contains a terminal widget for GTK+.

You should install the libzvt-devel package if you would like to
compile applications that use the zvt terminal widget. You do not need
to install libzvt-devel if you just want to use precompiled
applications.

%description devel -l es
El paquere libzvt contiene un widget de terminal para GTK+.

Debe instalar el paquete libzvt-devel si quiere compilar aplicaciones
que usan el widget de terminal zvt. No tiene por qu instalarlo si
slo quiere usar aplicaciones precompiladas.

%description devel -l pl
Pliki nagwkowe potrzebne do kompilowania programw uywajcych
libzvt.

Powiniene zainstalowa pakiet libzvt-devel jeli chcesz kompilowa
aplikacje ktre uywaj widgeta terminala zvt. Nie potrzebujesz
instalowa libzvt-devel jeli jedynie chcesz uywa aplikacji ju
skompilowanych.

%package static
Summary:	Static libzvt library
Summary(es):	Biblioteca libzvt esttica
Summary(pl):	Statyczna biblioteka libzvt
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static version of libzvt libraries.

%description static -l es
La versin esttica de bibliotecas libzvt.

%description static -l pl
Statyczna wersja bibliotek libzvt.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal} -I %{_aclocaldir}/gnome2-macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}


%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# empty files
#%doc NEWS README AUTHORS
%doc libzvt/AUTHORS ChangeLog libzvt/README libzvt/TODO libzvt/BUGS
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/libzvt-2.0
%attr(2755,root,utmp) %{_libdir}/libzvt-2.0/gnome-pty-helper

%files devel
%defattr(644,root,root,755)
%{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/libzvt-*
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libzvt.spec,v $
Revision 1.33  2004/08/16 14:05:40  ankry
- rel. .2 to rebuild

Revision 1.32  2003/10/19 23:43:19  saq
- updated to snapshot 20031020 (the eldest release fails to build)
- es translations, updated the others

Revision 1.31  2003/05/26 16:25:19  malekith
- massive attack: adding Source-md5

Revision 1.30  2003/05/25 05:50:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/03/23 19:53:49  aflinta
- release up just for rebuild with new paths

Revision 1.28  2003/01/18 22:53:34  juandon
- removed two lines with define

Revision 1.27  2003/01/04 10:40:06  trojan
- simplified {,Build}Requires

Revision 1.26  2002/10/24 11:18:05  malekith
- fixed URL; release 4

Revision 1.25  2002/10/15 18:42:03  malekith
- new version of i18n patch
- release 3

Revision 1.24  2002/10/09 13:14:39  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/08/07 14:30:18  wiget
- removed krzaczki.patch and use i18n-branch.patch instead (taken from GNOME CVS - branch libzvt-i18n)

Revision 1.22  2002/08/07 12:49:54  malekith
- added krzaczki patch to fix display of non-us-ascii characters
- release 2

Revision 1.21  2002/06/26 07:57:28  aflinta
- updated to version 2.0.1

Revision 1.20  2002/06/23 20:32:31  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.19  2002/06/20 08:51:22  wiget
updated to 2.0.0

Revision 1.18  2002/06/12 14:46:29  wiget
updated to 1.99999.0

Revision 1.17  2002/06/04 07:34:34  wiget
updated to 1.116.1

Revision 1.16  2002/05/29 11:53:53  wiget
- updated to 1.116.0 (fixes i18n handling)
- check-utmp.m4 is part of gnome-common and this is right place for it, if you
  don't agree with me, make change in GNOME CVS not here.
- new %%doc

Revision 1.15  2002/05/21 23:14:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.14  2002/05/16 18:30:50  misiek
- missing -d

Revision 1.13  2002/05/16 18:29:57  kloczek
- typo in %install.

Revision 1.12  2002/05/16 18:17:28  kloczek
- remove using gnome-common (use only cheeck-utmp.m4 from gnome-common and
  include this in devel subpackage).

Revision 1.11  2002/05/16 14:54:32  kloczek
- rlease 1.

Revision 1.10  2002/05/16 14:38:25  wiget
- updated to 1.115.2
- remove ac_fixes.patch (obsoleted)
- updated am15.patch
- ac regeneration need gnome-common
- %%files fixes

Revision 1.9  2002/04/25 18:22:17  kloczek
- release 2: s/gtk2/gtk+2/

Revision 1.8  2002/04/25 15:18:40  wiget
remove one entry from %%files

Revision 1.7  2002/04/25 14:50:17  kloczek
- added ac_fixes and am15 patches,
- place pkgconfig file in proper path and them to devel subpackage,
- remove using %%find_lang macro (libzvt do not provide gettext resources).

Revision 1.6  2002/04/23 20:28:21  kloczek
- s/gtk2/gtk+2/

Revision 1.5  2002/04/23 20:11:05  kloczek
- updated to 1.114.0,
- regenerate ac/am/lt files.

Revision 1.4  2002/02/22 23:29:13  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/01 15:29:58  qboosh
- added -static, post/postun, pl descriptions, gzip doc, fixed .so* perms

Revision 1.2  2002/02/01 05:52:20  kloczek
- spec adapterized and partialy rewrited,
- switch to bzipped2 tar ball.

Basen on spec file from RH by Owen Taylor <otaylor@redhat.com>
